Bug 1282958 - liblapack.so.3 undefined references
liblapack.so.3 undefined references
Product: Fedora
Classification: Fedora
Component: lapack (Show other bugs)
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
Blocks: 1282460
  Show dependency treegraph
Reported: 2015-11-17 17:04 EST by Orion Poplawski
Modified: 2015-11-20 10:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-20 10:27:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-11-17 17:04:36 EST
Description of problem:

When building vtk:

/usr/lib64/liblapack.so.3: undefined reference to `cgetrf2_'
/usr/lib64/liblapack.so.3: undefined reference to `dgetrf2_'
/usr/lib64/liblapack.so.3: undefined reference to `sgetrf2_'
/usr/lib64/liblapack.so.3: undefined reference to `zgetrf2_'

Looks like you're missing these files from the build.

Version-Release number of selected component (if applicable):
Comment 1 Tom Hughes 2015-11-17 17:53:57 EST
This has broken the libosmium build as well.
Comment 2 Antonio Trande 2015-11-18 12:27:33 EST
MUMPS rebuild stopped by this hitch.
Comment 3 Antonio Trande 2015-11-20 07:53:24 EST
(In reply to Antonio Trande from comment #2)
> MUMPS rebuild stopped by this hitch.

Fixed for me.
Comment 4 Tom "spot" Callaway 2015-11-20 10:27:46 EST
Everything should now be fixed with the -2 build. Sorry for the troubles.

Note You need to log in before you can comment on or make changes to this bug.